Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v11.ac
Class Identification

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.liberty.v11.ac.ACElement
oracle.security.xmlsec.liberty.v11.ac.Identification`

public class Identification
extends ACElement

Class representing the `Identification` element in the Liberty authentication context namespace (http://projectliberty.org/schemas/authctx/2002/05).

Since:
  1.0

Field Summary
`static java.lang.String` | `ANONYMITY` The enumerated "anonymity" value for the `Identification` element's nym attribute.
`static java.lang.String` | `PSEUDONYMITY` The enumerated "pseudonymity" value for the `Identification` element's nym attribute.
`static java.lang.String` | `VERINYMITY` The enumerated "verinymity" value for the `Identification` element's nym attribute.

Fields inherited from class oracle.security.xmlsec.liberty.v11.ac.ACElement
`authenticationContextClass`

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`Identification(org.w3c.dom.Document owner, AuthenticationContextStatement acs)` Creates a new `Identification` instance in the given document with the given authentication context.
`Identification(org.w3c.dom.Document owner, AuthenticationContextStatement acs, java.lang.String nym)` Creates a new `Identification` instance in the given document with the given authentication context.
`Identification(org.w3c.dom.Element element, AuthenticationContextStatement acs)` Creates a new `Identification` object that wraps the given Element object.
`Identification(org.w3c.dom.Element element, java.lang.String systemId, AuthenticationContextStatement acs)` Creates a new `Identification` object that wraps the given Element object.

Method Summary
`java.lang.String` | `getNym()` Returns the `nym` attribute for this `Identification` element, or `null` if none has been set.
`PhysicalVerification` | `getPhysicalVerification()` Returns the `PhysicalVerification` element for this `Identification`, or `null` if none has been set.
`WrittenConsent` | `getWrittenConsent()` Returns the `WrittenConsent` element for this `Identification`, or `null` if none has been set.
`void` | `setNym(java.lang.String nym)` Sets the `nym` attribute for this `Identification` element.
`void` | `setPhysicalVerification(PhysicalVerification pv)` Sets the `PhysicalVerification` element for this `Identification` element, replacing any existing `PhysicalVerification` element.
`void` | `setWrittenConsent(WrittenConsent wc)` Sets the `WrittenConsent` element for this `Identification` element, replacing any existing `WrittenConsent` element.

Methods inherited from class oracle.security.xmlsec.liberty.v11.ac.ACElement
`getAuthenticationContextClass, setAuthenticationContextClass`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANONYMITY

    public static final java.lang.String ANONYMITY

  The enumerated "anonymity" value for the `Identification` element's nym attribute.
  See Also:
    Constant Field Values

### VERINYMITY

    public static final java.lang.String VERINYMITY

  The enumerated "verinymity" value for the `Identification` element's nym attribute.
  See Also:
    Constant Field Values

### PSEUDONYMITY

    public static final java.lang.String PSEUDONYMITY

  The enumerated "pseudonymity" value for the `Identification` element's nym attribute.
  See Also:
    Constant Field Values

Constructor Detail

### Identification

    public Identification(org.w3c.dom.Element element,
                          AuthenticationContextStatement acs)

  Creates a new `Identification` object that wraps the given Element object.
Parameters:
  `element` - The underlying `org.w3c.dom.Element` object.
  `acs` - The authentication context for the element.

### Identification

    public Identification(org.w3c.dom.Element element,
                          java.lang.String systemId,
                          AuthenticationContextStatement acs)

  Creates a new `Identification` object that wraps the given Element object.
Parameters:
  `element` - The underlying `org.w3c.dom.Element` object.
  `systemId` - The URI string system ID for the `Identification`.
  `acs` - The authentication context for the element.

### Identification

    public Identification(org.w3c.dom.Document owner,
                          AuthenticationContextStatement acs)

  Creates a new `Identification` instance in the given document with the given authentication context.
Parameters:
  `owner` - The owner document for this new element.
  `acs` - The authentication context for this new element.

### Identification

    public Identification(org.w3c.dom.Document owner,
                          AuthenticationContextStatement acs,
                          java.lang.String nym)
                   throws AuthenticationContextException

  Creates a new `Identification` instance in the given document with the given authentication context.
Parameters:
  `owner` - The owner document for this new element.
  `acs` - The authentication context for this new element.
  `nym` - The `nym` attribute.
Throws:
  `AuthenticationContextException` - If the `nym` value is invalid for this element's authentication context class.

Method Detail

### setPhysicalVerification

    public void setPhysicalVerification(PhysicalVerification pv)
                                 throws AuthenticationContextException

  Sets the `PhysicalVerification` element for this `Identification` element, replacing any existing `PhysicalVerification` element.
  Parameters:
    `pv` - The `PhysicalVerification` element.
  Throws:
    `AuthenticationContextException` - If the `PrincipalAuthenticationMechanism` element is not valid for this authentication context class.

### getPhysicalVerification

    public PhysicalVerification getPhysicalVerification()

  Returns the `PhysicalVerification` element for this `Identification`, or `null` if none has been set.

### setWrittenConsent

    public void setWrittenConsent(WrittenConsent wc)
                           throws AuthenticationContextException

  Sets the `WrittenConsent` element for this `Identification` element, replacing any existing `WrittenConsent` element.
  Parameters:
    `wc` - The `WrittenConsent` element.
  Throws:
    `AuthenticationContextException` - If the `WrittenConsent` element is not valid for this authentication context class.

### getWrittenConsent

    public WrittenConsent getWrittenConsent()

  Returns the `WrittenConsent` element for this `Identification`, or `null` if none has been set.

### setNym

    public void setNym(java.lang.String nym)
                throws AuthenticationContextException

  Sets the `nym` attribute for this `Identification` element.
  Parameters:
    `nym` - The attribute value.
  Throws:
    `AuthenticationContextException` - If the `nym` value is invalid for this element's authentication context class.

### getNym

    public java.lang.String getNym()

  Returns the `nym` attribute for this `Identification` element, or `null` if none has been set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.